For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send Single email

Send email to users

POST /external/v1/transactional-email/send

Send Transactional Email Use this endpoint to send OTPs, password resets, welcome emails, order confirmations, notifications, and other transactional messages from your application.

Headers

Name
Value

Content-Type

application/json

X-Transactional-Key

cte_xxxxxxxxxxxx

Body

Name
Type
Description

to_email

string

email

subject

string

email subject

html_content

string

email_type

string

e.g otp

merge_data

string

e.g {"otp_code": "482910"}

Response

{
  "to_email": "user@example.com",
  "subject": "string",
  "html_content": "string",
  "text_content": "string",
  "template_uid": "string",
  "to_name": "string",
  "cc": [
    "user@example.com"
  ],
  "bcc": [
    "user@example.com"
  ],
  "from_email": "user@example.com",
  "from_name": "string",
  "reply_to": "user@example.com",
  "email_type": "custom",
  "category": "string",
  "merge_data": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "extra_metadata": {
    "additionalProp1": {}
  }
}

Last updated